using Avalonia.Controls;
using Avalonia.Input;
using Avalonia.LogicalTree;
using System.Linq;
using VeloeMinecraftLauncher.ViewModels;

namespace VeloeMinecraftLauncher.Views
{
    public partial class VersionsDownloader : Window
    {
        public VersionsDownloader()
        {
            InitializeComponent();
        }

        private void VersionDownloader_Closing(object sender, WindowClosingEventArgs e)
        {
            if (DataContext is VersionsDownloaderViewModel model)
            {
                model.OnClosing(sender,e);
            }
        }
    }
}
